Skip to main content
GET
/
account-info
/
2026-03
/
activity
/
login
Retrieve login activity
curl --request GET \
  --url https://api.hubapi.com/account-info/2026-03/activity/login \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "loginAt": "2023-11-07T05:31:56Z",
      "loginSucceeded": true,
      "countryCode": "<string>",
      "email": "<string>",
      "ipAddress": "<string>",
      "location": "<string>",
      "regionCode": "<string>",
      "userAgent": "<string>",
      "userId": 123
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

limit
integer<int32>

The maximum number of results to display per page.

userId
integer<int32>

Response

successful operation

results
object[]
required
paging
object
Last modified on March 30, 2026